import { mount } from '@vue/test-utils'
import { describe, it, expect } from 'vitest'
import Tabs from '../Tabs.vue'

describe('Tabs.vue', () => {
    it('renders tabs and panels', () => {
        const wrapper = mount(Tabs, {
            slots: {
                tabs: '<button>Tab 1</button>',
                default: '<div>Panel 1</div>',
            },
        })
        expect(wrapper.text()).toContain('Tab 1')
        expect(wrapper.text()).toContain('Panel 1')
    })
}) 