import type { Expense } from './expense'
import type { Item } from './item'

export interface List {
  id: number
  name: string
  description?: string | null
  type: 'shopping' | 'todo' | 'custom'
  is_complete: boolean
  group_id?: number | null
  items: Item[]
  version: number
  updated_at: string
  created_at: string
  archived_at?: string | null
  expenses?: Expense[]
}

export interface ListWithExpenses extends List {
  expenses: Expense[]
}
